Description

The "Create script collection plugin" tool opens as expected if there are no user scripts. However, after adding a script using "Create new

script," opening "Create script collection plugin" produces this error message:

File

"/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/gui/ProcessingToolbox.py",

line 314, in executeAlgorithm

  action.execute()

File

"/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/script/CreateScriptCollectionPluginAction.py", line 84, in execute
  dlg = ScriptSelector()
File "/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/script/ScriptSele

nPluginAction.py", line 84, in execute

  dlg = ScriptSelector()

File

"/usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/script/ScriptSelector.py",

line 62, in __init__

  scriptItem.setText(0, script.name)

TypeError: setText(self, int, str): argument 2 has unexpected type 'method'

Associated revisions

Revision d58053d4 - 2017-12-27 10:41 AM - Alexander Bruy

[processing] restore script collection creator (fix #17649)

History

#1 - 2017-12-27 10:41 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|d58053d486adb38208fe8c3bc130ade6fa072c39.

#2 - 2018-02-22 11:15 AM - Giovanni Manghi

- Resolution set to fixed/implemented
